> For the complete documentation index, see [llms.txt](https://docs.fluxpoint.dev/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluxpoint.dev/api/library/javascript.md).

# JavaScript

### Info

This library was made by JDev and is available on NPM and GitHub.

### Download

Install the package in your project using node package manager or github.

`NPM:`         <https://www.npmjs.com/package/fluxpoint-js>\
`GitHub:`  <https://github.com/FluxpointDev/fluxpoint-js>

### Example

Here is an example on how to use the library.

```javascript
const { FluxpointClient } = require("fluxpoint-js");
const client = new FluxpointClient({
  token: "token",
});

// You can use the library functions or make a custom endpoint request
client.sfw.image.getNeko()

const main = async () => {
  await client.request.req({
    // IMG (gallery.fluxpoint.dev) | API (api.fluxpoint.dev)
    type: "API",
    method: "GET",
    endpoint: "/me",
    // optional if data is needed
    data: null
  })
};
main();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluxpoint.dev/api/library/javascript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
